Page MenuHomePhabricator

Introducing sampling to Media Viewer performance events
Closed, ResolvedPublic

Description

Currently events are recorded in statsv unsampled, at a rate of 8000 per second, which is unnecessary.

Event Timeline

Gilles created this task.Oct 26 2016, 7:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2016, 7:57 AM

Change 318066 had a related patch set uploaded (by Gilles):
Make performance statsv call sampled

https://gerrit.wikimedia.org/r/318066

Gilles triaged this task as Low priority.Oct 26 2016, 9:46 AM
Gilles moved this task from Inbox to Doing on the Performance-Team board.
Jdlrobson changed the task status from Open to Stalled.Nov 8 2016, 11:43 AM
Jdlrobson added a subscriber: Jdlrobson.

There is a patch which Jenkins does not like but I'm not sure if it's active.

Tgr added a subscriber: Tgr.Nov 8 2016, 7:17 PM

The repo is broken ( https://gerrit.wikimedia.org/r/#/c/319478/2 ). I'll look into that soon, it holds up other work as well (plus MediaViewer tends to be a good target for GCI).

Change 318066 merged by jenkins-bot:
Make performance statsv call sampled

https://gerrit.wikimedia.org/r/318066

Gilles closed this task as Resolved.Nov 21 2016, 10:39 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 6 2018, 11:48 PM